|  | Home |

# QMailActionObserver Class Reference

The QMailActionObserver class provides an interface for monitoring currently running actions More...

        #include <QMailActionObserver>

This class is under development and is subject to change.

Inherits QMailServiceAction.

- List of all members, including inherited members

## Public Functions

| QMailActionObserver ( QObject * parent = 0 )
virtual | ~QMailActionObserver ()
QList<QSharedPointer<QMailActionInfo> > | actions () const

- 4 public functions inherited from QMailServiceAction
- 29 public functions inherited from QObject

## Signals

void | actionsChanged ( const QList<QSharedPointer<QMailActionInfo> > & newActions )

- 4 signals inherited from QMailServiceAction
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QMailServiceAction
- 1 public slot inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 2 protected functions inherited from QMailServiceAction
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailActionObserver class provides an interface for monitoring currently running actions

QMailActionObserver provides a mechanism for messaging clients to observe what actions the messageserver is currently running. A list of currently running actions can be retrieved with actions(). When actions are started or finished actionsChanged() is emitted with the new list of actions.

QMailActionObserver is initialised asynchronously, thus reading actions() immediately will return an empty list.

## Member Function Documentation

### QMailActionObserver::QMailActionObserver ( QObject * parent = 0 )

Constructs a new QMailActionObserver with a supplied parent

### QMailActionObserver::~QMailActionObserver () `[virtual]`

Destructs QMailActionObserver

### QList<QSharedPointer<QMailActionInfo> > QMailActionObserver::actions () const

Returns a list of the currently running actions on the message server.

See also QMailActionInfo.

### void QMailActionObserver::actionsChanged ( const QList<QSharedPointer<QMailActionInfo> > & newActions ) `[signal]`

This signal is emitted whenever the list of actions we are observing changes. This can be for three reasons: actions have started, actions have finished or the action list has just been initialized.

New list given by newActions

See also actions().